KDUMP(1)

NAME
kdump - display kernel trace data

SYNOPSIS
kdump [-dnlRT] [-e emulation] [-f file] [-m maxdata] [-t [cenis]]

DESCRIPTION
kdump displays the kernel trace files produced with ktrace(1) in human readable format. By default, the file ktrace.out in the current directory is displayed.

The options are as follows:

-d  Display all numbers in decimal.

-e emulation
    Interpret system call maps assuming the named emulation instead of "netbsd".

-f file
    Display the specified file instead of ktrace.out.

-l  Loop reading the trace file, once the end-of-file is reached, waiting for more data.

-m maxdata
    Display at most maxdata bytes when decoding I/O.

-n  Suppress ad hoc translations. Normally kdump tries to decode many system calls into a more human readable format. For example, ioctl(2) values are replaced with the macro name and errno values are replaced with the strerror(3) string. Suppressing this feature yields a more consistent output format and is easily amenable to further processing.

-R  Display relative timestamps (time since previous entry).

-T  Display absolute timestamps for each entry (seconds since epoch).

-t cnis
    See the -t option of ktrace(1).

SEE ALSO
ktrace(1)

HISTORY
The kdump command appears in 4.4BSD.